@echo off
if "%5" == "" goto usage

rem strategy is:  intro1, var1, var2, fill1, ending1 from first style 
rem 		  intro2, var1, var2, fill1, ending2 from second style  
rem		  into a complete style with intro1, var1, var2, fill1, ending1 for 
rem 		  first style, others for second style		

del tmp1_*.mid > nul
del tmp2_*.mid > nul
del tmp3_*.mid > nul

isty2mid -empty -output tmp1_ %1 %2
isty2mid -empty -output tmp2_ %3 %4

ren tmp1_i1?.mid tmp3_i1?.mid
ren tmp1_v1?.mid tmp3_v1?.mid
ren tmp1_v2?.mid tmp3_v2?.mid
ren tmp1_f1?.mid tmp3_f1?.mid
ren tmp1_e1?.mid tmp3_e1?.mid
ren tmp2_i2?.mid tmp3_i2?.mid
ren tmp2_v1?.mid tmp3_v3?.mid
ren tmp2_v2?.mid tmp3_v4?.mid
ren tmp2_f1?.mid tmp3_f2?.mid
ren tmp2_e2?.mid tmp3_e2?.mid

mid2isty -input tmp3_ %5 %6

rem remove temporary midi files
del tmp1_*.mid > nul
del tmp2_*.mid > nul
del tmp3_*.mid > nul
goto end

:usage
echo usage: mergesty infile1.sty stynum1 infile2.sty stynum2 outfile.sty stynum3
echo infile1.sty, infile2.sty  two existing KORG i3 style files
echo 			       they can be identical.
echo outfile.sty 	       resulting i3 style is written into this file
echo stynum1-stynum3  	       style number inside the style file (0-3)
goto end

:end
